'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LayerInteractions = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(LayerInteractions, _Component);

  function LayerInteractions(props, context) {
    (0, _classCallCheck3.default)(this, LayerInteractions);

    var _this = (0, _possibleConstructorReturn3.default)(this, (LayerInteractions.__proto__ || (0, _getPrototypeOf2.default)(LayerInteractions)).call(this, props, context));

    _this.moveToAndFilterMarker = _this.moveToAndFilterMarker.bind(_this);
    return _this;
  }

  (0, _createClass3.default)(LayerInteractions, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var map = this.context.map;
      var defaultMarkerId = this.props.defaultMarkerId;


      map.on('click', defaultMarkerId, this.moveToAndFilterMarker);
    }
  }, {
    key: 'moveToAndFilterMarker',
    value: function moveToAndFilterMarker(event) {
      var map = this.context.map;
      var activeMarkerId = this.props.activeMarkerId;


      map.flyTo({
        center: [event.lngLat.lng, event.lngLat.lat]
      });

      map.setFilter(activeMarkerId, ['==', 'title', event.features[0].properties.title]);
    }
  }, {
    key: 'render',
    value: function render() {
      return null;
    }
  }]);
  return LayerInteractions;
}(_react.Component), _class.propTypes = {
  defaultMarkerId: _propTypes2.default.string,
  activeMarkerId: _propTypes2.default.string
}, _class.contextTypes = {
  map: _propTypes2.default.object
}, _temp);
exports.default = LayerInteractions;