'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _class, _temp;

var _react = require('react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Source = (_temp = _class = function (_Component) {
  (0, _inherits3.default)(Source, _Component);

  function Source() {
    (0, _classCallCheck3.default)(this, Source);
    return (0, _possibleConstructorReturn3.default)(this, (Source.__proto__ || (0, _getPrototypeOf2.default)(Source)).apply(this, arguments));
  }

  (0, _createClass3.default)(Source, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var map = this.context.map;
      var _props = this.props,
          id = _props.id,
          type = _props.type,
          data = _props.data;

      var source = map.getSource(id);

      if (!source && data) {
        map.addSource(id, {
          type: type,
          data: data
        });
      }
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var map = this.context.map;
      var data = nextProps.data;

      var source = map.getSource(nextProps.id);

      if (source && data) {
        source.setData(data);
      }
    }
  }, {
    key: 'render',
    value: function render() {
      return null;
    }
  }]);
  return Source;
}(_react.Component), _class.propTypes = {
  id: _propTypes2.default.string,
  type: _propTypes2.default.string,
  data: _propTypes2.default.object
}, _class.contextTypes = {
  map: _propTypes2.default.object
}, _temp);
exports.default = Source;